:root {
    --primary: #FF8D3F;
    --primary-dark: #e97121;
    --secondary: #808080;
    --tertiary : #353c3f;
    --light-gray: #A5A5A5;
    --red-new: #e62727;
}

a {
    color: var(--primary);
}

a:hover {
    color: var(--primary-dark);
}

.link-list a:hover {
    color: var(--primary-dark);
}

.nk-menu-link:hover, .active > .nk-menu-link, .nk-menu-link:hover .nk-menu-icon, .nk-menu-item.active > .nk-menu-link .nk-menu-icon, .nk-menu-item.current-menu > .nk-menu-link .nk-menu-icon {
    color: var(--primary);
}

.form-control:focus, .dual-listbox .dual-listbox__search:focus, div.dataTables_wrapper div.dataTables_filter input:focus {
    border-color: var(--primary);
}

.user-avatar, [class^=user-avatar]:not([class*=-group]) {
    background: var(--primary);
}

.dropdown-menu-s1 {
    border-top-color: var(--primary-dark);
}

.text-orange {
    color: var(--primary) !important;
}

.select2-container--default .select2-results__option[aria-selected="true"] {
    background-color: var(--primary);
    color: #fff;
}

.btn-primary {
    --bs-btn-bg: var(--primary);
    --bs-btn-border-color: var(--primary);
    --bs-btn-disabled-bg: var(--primary);
    --bs-btn-disabled-border-color: var(--primary);
    --bs-btn-hover-bg: var(--primary-dark);
    --bs-btn-hover-border-color: var(--primary-dark);
    --bs-btn-active-bg: var(--primary-dark);
    --bs-btn-active-border-color: var(--primary-dark);
}

.btn-secondary {
    --bs-btn-bg: var(--secondary);
    --bs-btn-border-color: var(--secondary);
    --bs-btn-disabled-bg: var(--secondary);
    --bs-btn-disabled-border-color: var(--secondary);
    --bs-btn-hover-bg: var(--tertiary);
    --bs-btn-hover-border-color: var(--tertiary);
    --bs-btn-active-bg: var(--tertiary);
    --bs-btn-active-border-color: var(--tertiary);
}

/* --- */

.border-center {
    position: relative;
    padding: 10px 0;
}

.border-center > * {
    position: relative; 
    background: white;
    z-index: 1;
    display: inline;
    padding: 0 5px;
    color: var(--primary);
}

.border-center:after {
    background: var(--light-gray);
    content: '';
    position: absolute;
    left: 0;
    right: 0;
    top: 50%;
    height: 1px;
    z-index: 0;
}

.btn, .btn:hover {
    transition: all 0.5s;
}

.btn-add-custom {
    border-radius: 50px;
	padding: 8px 8px;
	font-size: 24px;
	width: 32px;
	height: 32px;
    margin-bottom: 0.5rem;
}

form .btn-add-custom {
    float: right;
}

form label {
    height: 40px;
}

textarea.form-control {
    min-height: unset !important;
}

.mandatory {
    color: red;
}

.missing, .missing + div b, .custom-select.missing + .select2-container {
    border: 1px solid !important;
    border-color: #ff0000 !important;
}

.delete-icon {
    color: red;
    font-size: 1.4rem;
    cursor: pointer;
}

#chrono {
    font-weight: 700;
    display: flex;
    font-size: 18px;
    padding: 5px 10px;
}

#chrono.active {
    border: 1px solid var(--primary);
}

#chrono #timer {
    margin-right: 10px;
}

.text-green {
    color: #1ee0ac;
}

.text-red {
    color: #e85347;
}

.text-left {
    text-align: left;
}

.text-center {
    text-align: center;
}

.text-right {
    text-align: right;
}

.hide {
    display: none;
}

.float-left {
    float: left;
}

.float-right {
    float: right;
}

.flex-between {
    display: flex;
    justify-content: space-between;
    width: 100%;
}

.flex-evenly {
    display: flex;
    justify-content: space-evenly;
    width: 100%;
}

.flex-space {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.flex-row {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.flex-column {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.flex-center {
    display: flex;
    align-items: center;
    justify-content: center;
}

.flex-right {
    display: flex;
    align-items: center; 
    justify-content: flex-end;
}

.full-width {
    width: 100%;
}

.row.full-width {
    margin: 0;
}

hr {
    margin: 1rem !important;
    color: #aeb7c2;
}

.opacity-0 {
    opacity: 0;
}

.width-5 {
    width: 5%;
}

.width-10 {
    width: 10%;
}

.width-20 {
    width: 20%;
}

.width-30 {
    width: 30%;
}

.width-40 {
    width: 40%;
}

.width-50 {
    width: 50%;
}

.width-60 {
    width: 60%;
}

.width-70 {
    width: 70%;
}

.width-80 {
    width: 80%;
}

.width-90 {
    width: 90%;
}

.width-100 {
    width: 100%;
}

.gap-5 {
    gap: 5px;
}
.gap-10 {
    gap: 10px;
}
.gap-15 {
    gap: 15px;
}
.gap-20 {
    gap: 20px;
}
.gap-25 {
    gap: 25px;
}
.gap-30 {
    gap: 30px;
}

.ml-1 {
    margin-left: 0.375rem;
}

.mr-1 {
    margin-right: 0.375rem;
}

/* Star rating */
.rating {
    position: relative;
    line-height: 32px;
    font-size: 32px;
}

.rating label {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    cursor: pointer;
}

.rating label:last-child {
    position: static;
}

.rating label:nth-child(1) {
    z-index: 5;
}

.rating label:nth-child(2) {
    z-index: 4;
}

.rating label:nth-child(3) {
    z-index: 3;
}

.rating label:nth-child(4) {
    z-index: 2;
}

.rating label:nth-child(5) {
    z-index: 1;
}

.rating label input {
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0;
}

.rating label .icon {
    float: left;
    color: transparent;
    font-size: unset;
}

.rating label:last-child .icon {
    color: #000;
}

.rating:not(:hover) label input:checked ~ .icon,
.rating:hover label:hover input ~ .icon {
    color: var(--primary);
}

.rating label input:focus:not(:checked) ~ .icon:last-child {
    color: #000;
    text-shadow: 0 0 5px var(--primary);
}

.rating .icon + span, .rating span + .icon {
    margin-left: 0;
}

/* Modal */

body.modal-open .modal, body.custom-modal-open .custom-modal {
    background-color: rgba(0, 0, 0, 0.5);
    transition: opacity 0.15s linear;
}

body.modal-open, body.custom-modal-open {
    overflow-y: hidden;
    z-index: -1;
}

.custom-modal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1050;
    opacity: 0;
}

.custom-modal .inner {
    position: relative;
    margin: 1.75rem auto;
    top: 0;
    width: 90%;
    height: 90%;
    border: 1px solid rgba(0, 0, 0, 0.8);
}

.custom-modal .inner .custom-modal-body {
    height: 100%;
    background: #fff;
    overflow-y: auto;
}

.custom-modal .inner .custom-modal-header {
    background: var(--primary);
    padding: 1.5em;
    border-bottom: 1px solid rgba(0, 0, 0, 0.8);
}


.custom-modal .inner .custom-modal-header .modal-title {
    color: #fff;
}

.custom-modal .inner .custom-modal-footer {
    text-align: right;
    padding: 1.5em;
}

@media screen and (max-width: 768px) {
    .custom-modal .inner .custom-modal-header .modal-title {
        font-size: 1.5rem;
    }
}

.custom-modal .close {
    color: #fff;
    text-shadow: none;
    opacity: 1;
}

.custom-modal .modal-close {
    position: relative;
    left: -30px;
    bottom: 60px;
}

.tree-select {
    font-weight: bold;
    cursor: pointer;
    border:1px solid #346789;
    box-shadow: 2px 2px 10px #aaa;
    -o-box-shadow: 2px 2px 10px #aaa;
    -webkit-box-shadow: 2px 2px 10px #aaa;
    -moz-box-shadow: 2px 2px 10px #aaa;
    -moz-border-radius:0.5em;
    border-radius:0.5em;
    width: 12em; 
    height: auto;
    padding: 0.5em 3px;
    text-align:center;
    z-index:20; position:absolute;
    background-color:#eeeeef;
    color:black;
    font-family:helvetica;
    font-size:0.9em;
    word-wrap:break-word;
}

.tree-select:hover {
    box-shadow: 2px 2px 10px #444;
    -o-box-shadow: 2px 2px 10px #444;
    -webkit-box-shadow: 2px 2px 10px #444;
    -moz-box-shadow: 2px 2px 10px #444;
}

.tree-select small {
    display: block;
}

.tree-main {
    position: relative;
    overflow: auto;
    height: 800px;
}

.tree-main .collapser {
    cursor: pointer;
    z-index:21;
}

.modal-close {
    display: none;
}

.modal .modal-close, .custom-modal .modal-close {
    display: block;
    z-index: 1000;
}

.custom-modal .tree-main {
    height: 100%;
    width: 100%;
}

.tree-select.selected {
    background-color: var(--primary);
    color: #fff;
}

.tree-select.selected:hover {
    background-color: var(--primary);
    color: #fff;
}

.tree-main svg {
    height: auto;
}

html {
    scrollbar-width: thin;
    scrollbar-color: var(--primary) #fff;
}

/* Scrollbar */
/* width */
::-webkit-scrollbar {
    width: 12px;
    height: 12px;
}

/* Track */
::-webkit-scrollbar-track {
    background: transparent;
    border: 1px solid rgba(0, 0, 0, 0.125);
    border-radius: 10px;
}

/* Handle */
::-webkit-scrollbar-thumb {
    background: linear-gradient(to right top, #fd7418, var(--primary), #fdb381); 
    border-radius: 10px;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
    background: linear-gradient(to right top, #e2620d, #fd7418, var(--primary)); 
}

/* Bouton déclarer */

button[class*="animate"], a[class*="animate"] {
    position: relative;
}

.animate-skew {
    overflow: hidden;
    width: 250px;
    max-width: 100%;
    background: none;
    color: var(--light-gray);
    border: 1px var(--primary) solid;
}

.animate-skew:after {
    content: '';
    position: absolute;
    z-index: -1;
    -webkit-transition: all 0.35s;
    -moz-transition: all 0.35s;
    transition: all 0.35s;
    width: 300%;
    height: 0;
    top: 50%;
    left: 50%;
    opacity: 0;
    -webkit-transform: translateX(-50%) translateY(-50%) rotate(15deg);
    -moz-transform: translateX(-50%) translateY(-50%) rotate(15deg);
    -ms-transform: translateX(-50%) translateY(-50%) rotate(15deg);
    transform: translateX(-50%) translateY(-50%) rotate(15deg);
    background-color: var(--primary);
}

.animate-skew:hover:after {
    height: 150%;
    opacity: 1;
}

.btn-declarer {
    padding: 1rem 2rem;
    text-transform: uppercase;
    font-weight: 700;
    margin-bottom: 10px;
    z-index: 1;
}

.btn-declarer:hover {
    padding: 1rem 2rem;
    text-transform: uppercase;
    font-weight: 700;
    color: white;
}

.nk-content-body > .nk-block-head:first-child {
    padding-bottom: 1rem;
}

@media (min-width: 768px) {
    .nk-content-body > .nk-block-head:first-child {
      padding-bottom: 1.5rem;
    }
}

#optionsForm .type-rows .delete-row, #optionsForm .holding-rows .delete-row {
    cursor: pointer;
    font-size: 24px;
}

.nk-chat-body {
    opacity: 1 !important;
}

.chat.is-me .chat-msg {
    background-color: var(--primary);
}

.tox-tinymce {
    min-height: calc(100vh - (65px + 64px + 64px));
	max-height: calc(100vh - (65px + 64px + 64px));
}

.notification-count {
    position: absolute;
    color: #fff;
    font-size: 11px;
    font-weight: 900;
    background-color: var(--primary);
    border: 1px solid var(--primary);
    border-radius: 100%;
    padding: 5px 10px;
    left: 15px;
    bottom: -15px;
}

.notification-dropdown .icon-status:after {
    display: none;
}

.notifications-card a:not([href]) {
    color: var(--bs-body-color);
    cursor: pointer;
}

.notifications-card a:not([href]):hover {
    color: var(--bs-gray-900);
}

.notification-wrapper.new .notification-title a {
    color: var(--red-new);
}

legend {
    margin-bottom: 1.5rem;
}

th[rowspan="2"] {
    vertical-align: middle;
}

table thead tr:first-child th[colspan="2"][rowspan="1"],
table thead tr:first-child th[colspan="3"][rowspan="1"],
table thead tr:first-child th[colspan="4"][rowspan="1"],
table thead tr:first-child th[colspan="5"][rowspan="1"],
table thead tr:first-child th[colspan="6"][rowspan="1"],
table thead tr:first-child th[colspan="7"][rowspan="1"],
table thead tr:first-child th[colspan="8"][rowspan="1"],
table thead tr:first-child th[colspan="9"][rowspan="1"],
table thead tr:first-child th[colspan="10"][rowspan="1"]
{
    border-left: 1px solid #dbdfea;
    border-right: 1px solid #dbdfea;
    text-align: center;
}

.pointages .chart {
	height: 220px !important;
}

.table-crud .actions-entry, .table .actions-entry {
    display: flex;
    align-items: center;
    justify-content: flex-end;
}

.table-crud .actions-entry .ni, .table .actions-entry .ni {
    font-size: 1.7em;
    color: var(--primary);
    cursor: pointer;
    margin: 0 0.2em;
}

.dataTable.responsive {
    width: 100% !important;
}

.permission-group-list {
    height: 60vh;
    overflow-y: scroll;
}

.form-control:disabled, .dual-listbox .dual-listbox__search:disabled, div.dataTables_wrapper div.dataTables_filter input:disabled {
    background-color: #e7e8ea;
}






.dashboard .stat {
    padding: 1rem 1.5rem;
    font-weight: 700;
    display: flex;
    flex-direction: column;
    background: #fff;
    border: 1px solid #364a63;
    border-radius: 0.5em;
    color: #364a63;
    transition: all 0.5 ease;
}

.dashboard .stat .number {
    font-size: 2rem;
    padding-left: 2px;
}

.dashboard .stat .title {
    font-size: 1.5rem;
}

.dashboard .stat:hover {
    border: 1px solid #F9812E;
    background-image: linear-gradient(180deg, #F9812E 0%, #FCA436 70%);
    color: #fff;
}
.dashboard .stat:hover .number {
    font-size: 2rem;
    padding-left: 2px;
}
.dashboard .stat:hover .title {
    font-size: 1.5rem;
}

.dashboard-graphs canvas {
    height: 400px !important;
    max-height: 70vh;
}


.side-modal-container .backdrop {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
    background-color: rgba(0, 0, 0, 0.3);
    opacity: 0;
    transition: opacity 0.3s linear;
}
.side-modal-container .backdrop.show {
    opacity: 1;
    z-index: 1090;
}

.side-modal {
    position: fixed;
    top: 0;
    bottom: 0;
    right: 0;
    width: 600px;
    max-width: 100%;
    background: #fff;
    z-index: 1100;
    border-left: 1px solid #e5e9f2;
    opacity: 0;
    transform: translateX(100%);
    transition: opacity 0.3s linear, transform 0.3s ease-out;
    display: flex;
    flex-direction: column;
}

.side-modal.show {
    opacity: 1;
    transform: translateX(0);
}

.side-modal .header {
    border-bottom: 1px solid #e5e9f2;
    padding: 19.5px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.side-modal .close-modal {
    font-size: 18px;
    cursor: pointer;
}

.side-modal .body {
    background: var(--bs-body-bg);
    padding: 16px;
    overflow-y: auto;
}


.clauses .clause {
    border: 1px solid #dbdfea;
    padding: 0.5em;
    border-bottom: none;
}

.clauses .clause:last-child {
    border-bottom: 1px solid #dbdfea;
}

tr.selected {
    background: var(--primary);
    color: #fff !important;
}

.select2-dropdown {
    z-index: 1100;
}

td.cell-modal {
    max-width: 80px;
    overflow: hidden;
    text-overflow: ellipsis;
    cursor: pointer;
}

#cellModal.show {
    z-index: 9999;
}

#contractOCR .cell-modal .content {
    max-height: 40px;
    overflow: hidden;
    text-overflow: ellipsis;
}